@echo off
Echo ***********************************************
Echo *        Ett Enkelt Anslutningstest 1.0       *
Echo *             Skrivet av Nalle                *
Echo *         Kolla in http://www.jnw.se          *
Echo ***********************************************
Echo *     Ett test kan ta upp till 3 minuter      *
Echo ***********************************************
Echo *     Testet har fyra faser,                  *
Echo *     sen kommer du tillbaka till menyn.      *
Echo ***********************************************
Echo.

:menu
Echo Alternativ 1 = Starta Testet
Echo Alternativ 2 = Rensa resultaten
Echo Alternativ 3 = Avsluta Testet

SET /P M=Tryck 1, 2, eller 3, sen ENTER:
IF %M%==1 GOTO start
IF %M%==2 GOTO rensa
IF %M%==3 GOTO end

:start
Echo ...........................................

SET CONNECT=svarar
PING 127.0.0.1 | FIND "TTL=" > NUL
IF ERRORLEVEL 1 SET CONNECT=svarar inte
ECHO Min dator (Local Host - 127.0.0.1) %CONNECT% vid pingning. (Det ska den)

SET TIMEOUT=har
PING 127.0.0.1 | FIND "timeout" > NUL
IF ERRORLEVEL 1 SET TIMEOUT=har inte
ECHO Min anslutning %TIMEOUT% time outs. (Ska den inte ha)

Echo ...........................................

SET CONNECT2=svarar
PING 192.168.0.1 | FIND "TTL=" > NUL
IF ERRORLEVEL 1 SET CONNECT2=svarar inte
ECHO Min Router (Gateway - 192.168.0.1) %CONNECT2% vid pingning. (Det ska den)

SET TIMEOUT2=har
PING 192.168.0.1 | FIND "timeout" > NUL
IF ERRORLEVEL 1 SET TIMEOUT2=har inte
ECHO Min anslutning %TIMEOUT2% time outs. (Ska den inte ha)

Echo Har din anslutning time outs nu? Problemet ligger mellan dator och router.
Echo ...........................................

SET CONNECT3=svarar
PING www.hif.se /n 10 | FIND "TTL=" > NUL
IF ERRORLEVEL 1 SET CONNECT3=svarar inte
ECHO Hif.se (en internet server) %CONNECT3% vid pingning. (Det ska den)

SET TIMEOUT3=har
PING www.hif.se | FIND "timeout" > NUL
IF ERRORLEVEL 1 SET TIMEOUT3=har inte
ECHO Min anslutning %TIMEOUT3% time outs. (Ska den inte ha)

Echo Har din anslutning time outs nu? Problemet troligen hos din internetleverantor,
Echo alt. i anslutning mellan Router och Modem. Tips: Kolla modemets lysdioder!
Echo ...........................................

SET CONNECT4=svarar
PING 1.1.1.1 | FIND "TTL=" > NUL
IF ERRORLEVEL 1 SET CONNECT4=svarar inte
ECHO Ej existerande adress (1.1.1.1) %CONNECT4% vid pingning. (Det ska den inte)

SET TIMEOUT4=har
PING 1.1.1.1 | FIND "timeout" > NUL
IF ERRORLEVEL 1 SET TIMEOUT4=har inte
ECHO Min anslutning %TIMEOUT4% time outs. (Ska den ha)

Echo ...........................................
goto menu

:rensa
cls
goto menu


:end
cls
exit